<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * EventList is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die('Restricted access');
JHtml::addIncludePath(JPATH_COMPONENT.DS.'helpers'.DS.'html');
JHtml::addIncludePath(JPATH_COMPONENT_ADMINISTRATOR.DS.'helpers');
JHTML::addIncludePath(JPATH_COMPONENT.DS.'helpers');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
?>
<script type="text/javascript">
Joomla.submitbutton = function(pressbutton) {
                        allSelected(document.adminForm.jform_idauth);
                        allSelected(document.adminForm.jform_idtag);
                        if (pressbutton == 'book.cancel' || document.formvalidator.isValid(document.id('adminForm'))) {
                                <?php echo $this->form->getField('description')->save(); ?>
                                if (pressbutton == 'book.apply' || pressbutton == 'book.save') {
                                        allSelected(document.adminForm.jform_idauth);
                                }
                                Joomla.submitform(pressbutton, document.getElementById('adminForm')); 
                        }else {
                                alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
                        }
                }
</script>
<form action="<?php echo JRoute::_('index.php?option=com_abook&layout=edit&id='.(int) $this->item->id); ?>" method="post" name="adminForm" id="adminForm" class="form-validate">
	<div class="width-60 fltlft">
		<fieldset class="adminform">
		<legend><?php echo empty($this->item->id) ? JText::_('COM_ABOOK_ADD_NEW_BOOK') : JText::sprintf('COM_ABOOK_EDIT_BOOK', $this->item->id); ?></legend>
		<ul class="adminformlist">
			<li><?php echo $this->form->getLabel('id'); ?>
                        <?php echo $this->form->getInput('id'); ?></li>
			<li><?php echo $this->form->getLabel('title'); ?>
                	<?php echo $this->form->getInput('title'); ?></li>
			<li><?php echo $this->form->getLabel('subtitle'); ?>
                        <?php echo $this->form->getInput('subtitle'); ?></li>
			<li><?php echo $this->form->getLabel('alias'); ?>
	                <?php echo $this->form->getInput('alias'); ?></li>
			<li><?php echo $this->form->getLabel('language'); ?>
	                <?php echo $this->form->getInput('language'); ?></li>
			<li><?php echo $this->form->getLabel('catid'); ?>
                        <?php echo $this->form->getInput('catid'); ?></li>
			<li><?php echo $this->form->getLabel('ideditor'); ?>
                        <?php echo $this->form->getInput('ideditor'); ?></li>
			<li><?php echo $this->form->getLabel('editedby'); ?>
                        <?php echo $this->form->getInput('editedby'); ?></li>
			<li>
				<label for="idauth"><?php echo JText::_( 'COM_ABOOK_AUTHORS' ); ?>:</label>
				<?php echo JHTML::_('select.genericlist', $this->bookauthor, 'jform[idauth][]', 'class="inputbox" size="10" multiple="multiple"','id', 'name', '', 'jform_idauth');?>
				<input value="&lt;<?php echo JText::_( 'COM_ABOOK_ADD' ); ?>" onclick="javascript:  addSelectedToList( 'adminForm', 'author', 'jform_idauth' );delSelectedFromList( 'adminForm', 'author' );" type="button">
                    		<input value="<?php echo JText::_( 'COM_ABOOK_REMOVE' ); ?> &gt;" onclick="addSelectedToList( 'adminForm', 'jform_idauth', 'author' );delSelectedFromList( 'adminForm', 'jform_idauth' );" type="button">

                                <?php echo JHTML::_('select.genericlist', $this->author, 'author', 'class="inputbox" size="10" multiple="multiple"','id', 'name'); ?>
			</li>
			<li><?php echo $this->form->getLabel('note'); ?>
                        <?php echo $this->form->getInput('note'); ?></li>
			</ul>
			<div class="clr"></div>
                	<?php echo $this->form->getLabel('description'); ?>
                	<div class="clr"></div>
                	<?php echo $this->form->getInput('description'); ?>
                </fieldset>
        </div>
	<div class="width-40 fltrt">
		<?php echo JHtml::_('sliders.start','abook-sliders-'.$this->item->id, array('useCookie'=>1)); ?>

                <?php echo JHtml::_('sliders.panel',JText::_('COM_ABOOK_FIELDSET_PUBLISHING'), 'publishing-details'); ?>
                <fieldset class="panelform">
                        <ul class="adminformlist">
			<li><?php echo $this->form->getLabel('dateinsert'); ?>
                        <?php echo $this->form->getInput('dateinsert'); ?></li>
			<li><?php echo $this->form->getLabel('published'); ?>
                        <?php echo $this->form->getInput('published'); ?></li>
                        <li><?php echo $this->form->getLabel('access'); ?>
                        <?php echo $this->form->getInput('access'); ?></li>
			<li><?php echo $this->form->getLabel('user_id'); ?>
                        <?php echo $this->form->getInput('user_id'); ?></li>
                        <li><?php echo $this->form->getLabel('created_by_alias'); ?>
                        <?php echo $this->form->getInput('created_by_alias'); ?></li>
			</ul>
                </fieldset>
		
		<?php echo JHtml::_('sliders.panel',JText::_('COM_ABOOK_FIELDSET_BOOK'), 'book-details'); ?>
                <fieldset class="panelform">
                        <ul class="adminformlist">
			<li><?php echo $this->form->getLabel('year'); ?>
                        <?php echo $this->form->getInput('year'); ?></li>
                        <li><?php echo $this->form->getLabel('idlocation'); ?>
                        <?php echo $this->form->getInput('idlocation'); ?></li>
                        <li><?php echo $this->form->getLabel('idlibrary'); ?>
                        <?php echo $this->form->getInput('idlibrary'); ?></li>
                        <li><?php echo $this->form->getLabel('catalogo'); ?>
                        <?php echo $this->form->getInput('catalogo'); ?></li>
                        <li><?php echo $this->form->getLabel('price'); ?>
                        <?php echo $this->form->getInput('price'); ?></li>
                        <li><?php echo $this->form->getLabel('pag'); ?>
                        <?php echo $this->form->getInput('pag'); ?></li>
                        <li><?php echo $this->form->getLabel('isbn'); ?>
                        <?php echo $this->form->getInput('isbn'); ?></li>
			<li><?php echo $this->form->getLabel('file');
			echo JHtml::_('files.files', 'jform[file]', $this->item->file, '', 'images'.DS.$this->params->get('file_path')); ?></li>
			<li><?php echo $this->form->getLabel('image'); ?>
                        <?php echo $this->form->getInput('image'); ?></li>
                        <li><label id="jform_preview-lbl" for="jform_preview" class="hasTip"><?php echo JText::_('COM_ABOOK_PREVIEW'); ?></label>
                        <?php echo JHTML::_('image',$this->item->image, JText::_('COM_ABOOK_IMAGE_DETAILS'), array('align' => 'middle','style' => 'width:200px')); ?></li>
			<li>
			<li><?php echo $this->form->getLabel('url_label'); ?>
                        <?php echo $this->form->getInput('url_label'); ?></li>
                        <li><?php echo $this->form->getLabel('url'); ?>
                        <?php echo $this->form->getInput('url'); ?></li>
			</ul>
                </fieldset>
		<?php echo JHtml::_('sliders.panel',JText::_('COM_ABOOK_FIELDSET_TAGS'), 'tags-details'); ?>
                <fieldset class="panelform">
                        <ul class="adminformlist">
				<li>
                                <label for="idtag"><?php echo JText::_( 'COM_ABOOK_SELECT_TAGS' ); ?>:</label>
                                <?php echo JHTML::_('select.genericlist', $this->booktag, 'jform[idtag][]', 'class="inputbox" size="20" multiple="multiple"','id', 'name', '', 'jform_idtag');?>
                                <input value="&lt;<?php echo JText::_( 'COM_ABOOK_ADD' ); ?>" onclick="javascript:  addSelectedToList( 'adminForm', 'tag', 'jform_idtag');delSelectedFromList( 'adminForm', 'tag' );" type="button">
                                <input value="<?php echo JText::_( 'COM_ABOOK_REMOVE' ); ?> &gt;" onclick="addSelectedToList( 'adminForm', 'jform_idtag', 'tag' );delSelectedFromList( 'adminForm', 'jform_idtag' );" type="button">
                                <?php echo JHTML::_('select.genericlist', $this->tag, 'tag', 'class="inputbox" size="20" multiple="multiple"','id', 'name'); ?>
                        	</li>
                        </ul>
                </fieldset>
		<?php echo JHtml::_('sliders.panel',JText::_('JGLOBAL_FIELDSET_METADATA_OPTIONS'), 'metadata'); ?>
                <fieldset class="panelform">
			<ul class="adminformlist">
                	<li><?php echo $this->form->getLabel('metakey'); ?>
                        <?php echo $this->form->getInput('metakey'); ?></li>
                        <li><?php echo $this->form->getLabel('metadesc'); ?>
                        <?php echo $this->form->getInput('metadesc'); ?></li>
                        </ul> 
                </fieldset>
		<?php
		//queste opzioni sono in model/form/book.xml alla sezione params 
		$fieldSets = $this->form->getFieldsets('params');
		foreach ($fieldSets as $name => $fieldSet) :
        		echo JHtml::_('sliders.panel',JText::_($fieldSet->label), $name.'-params');
	        	if (isset($fieldSet->description) && trim($fieldSet->description)) :
        	        	echo '<p class="tip">'.$this->escape(JText::_($fieldSet->description)).'</p>';
        		endif;
	        	?>
        		<fieldset class="panelform" >
                		<ul class="adminformlist">
                        	<?php foreach ($this->form->getFieldset($name) as $field) : ?>
                                	<li><?php echo $field->label; ?>
	                                <?php echo $field->input; ?></li>
        	                <?php endforeach; ?>
                		</ul>
        		</fieldset>
		<?php endforeach; ?>	
		<?php echo JHtml::_('sliders.end'); ?>
	</div>
		<div class="clr"></div>
        	<?php if ($this->canDo->get('core.admin')): ?>
			<div class="width-100 fltlft">
                        <?php echo JHtml::_('sliders.start','permissions-sliders-'.$this->item->id, array('useCookie'=>1)); ?>

                                <?php echo JHtml::_('sliders.panel',JText::_('COM_ABOOK_FIELDSET_RULES'), 'access-rules'); ?>
                                <fieldset class="panelform">
                                        <?php echo $this->form->getLabel('rules'); ?>
                                        <?php echo $this->form->getInput('rules'); ?>
                                </fieldset>

                        <?php echo JHtml::_('sliders.end'); ?>
                	</div>
		<?php endif; ?>
                <input type="hidden" name="task" value="" />
                <?php echo JHtml::_('form.token'); ?>
</form>
<div class="clr"></div>
<p><?php echo JHTML::_('credit.credit');?></p>
