<?php
/**
 * @version		$Id: default_items.php 16651 2010-05-02 08:50:07Z infograf768 $
 * @package		Joomla.Site
 * @subpackage	com_newsfeeds
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;
$class = 'first';
if (count($this->items[$this->parent->id]) > 0 && $this->maxLevel != 0) :
?>
<ul>
<?php foreach($this->items[$this->parent->id] as $id => $item) : ?>
	<?php
	if($this->params->get('show_empty_categories', 1) || $item->getNumItems(true) || count($item->getChildren())) :
	if(!isset($this->items[$this->parent->id][$id + 1]))
	{
		$class = 'last';
	}
	?>
	<li class="<?php echo $class; ?> folder">
	<?php $class = '';?>
	<?php if ($this->params->get('catimage')!="-1"){?>
		<?php $catimage=$this->params->get('catimage')== "cat_custom_image"?$item->getParams()->get('image', 'components/com_abook/assets/images/no_img_cat.png') : "components/com_abook/assets/images/folder/".$this->params->get('catimage', "folder_blue.png"); ?>
		<img class="cat-img-folder" src="<?php echo $catimage; ?>" style="vertical-align:middle;" alt="<?php echo JText::_('COM_ABOOK_CATEGORY').' '.$this->escape($item->title); ?>" />
		<?php }?>
		<span class="jitem-title">
			<a href="<?php echo JRoute::_(AbookHelperRoute::getCategoryRoute($item->slug));?>">
			<?php echo $this->escape($item->title); ?></a>
			<?php if ($this->params->get('show_item_count', 0) == 1) :?>
                                 (<?php echo $item->numitems; ?>)
                	<?php endif; ?>
		</span>
		<?php if ($item->description && $this->params->get('show_list_description', 0) == 1): ?>
			<div class="category-desc">
				<?php echo JHtml::_('content.prepare', $item->description); ?>
			</div>
		<?php endif; ?>
		<?php if(count($item->getChildren()) > 0) :
			$this->items[$item->id] = $item->getChildren();
			$this->parent = $item;
			$this->maxLevel--;
			echo $this->loadTemplate('items');
			$this->parent = $item->getParent();
			$this->maxLevel++;
		endif; ?>
	</li>
	<?php endif; ?>
<?php endforeach; ?>
</ul>
<?php endif; ?>
