<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die('Restricted access');
JHtml::addIncludePath(JPATH_COMPONENT.DS.'helpers'.DS.'html');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
?>
<script language="javascript" type="text/javascript">
	function submitbutton(task)
        {
                if (task == 'author.cancel' || document.formvalidator.isValid(document.id('item-form'))) {
                        submitform(task);
                } else {
                        alert( "<?php echo JText::_( 'JGLOBAL_VALIDATION_FORM_FAILED' ); ?>" );
                }
        }
</script>
<form action="<?php JRoute::_('index.php?option=com_abook'); ?>" method="post" name="adminForm" id="item-form" class="form-validate">
	<div class="width-60 fltlft">
		<fieldset class="adminform">
			<legend><?php echo empty($this->item->id) ? JText::_('COM_ABOOK_ADD_NEW_AUTHOR') : JText::sprintf('COM_ABOOK_EDIT_AUTHOR', $this->item->id); ?></legend>
                	<ul class="adminformlist">
			<li><?php echo $this->form->getLabel('name'); ?>
                        <?php echo $this->form->getInput('name'); ?></li>
			<li><?php echo $this->form->getLabel('alias'); ?>
                        <?php echo $this->form->getInput('alias'); ?></li>
			<li><?php echo $this->form->getLabel('language'); ?>
                        <?php echo $this->form->getInput('language'); ?></li>
			<li><?php echo $this->form->getLabel('id'); ?>
                        <?php echo $this->form->getInput('id'); ?></li>
			</ul>
                        <div class="clr"></div>
                        <?php echo $this->form->getLabel('description'); ?>
                        <div class="clr"></div>
                        <?php echo $this->form->getInput('description'); ?>
                </fieldset>
        </div>
	<div class="width-40 fltrt">
                <?php echo JHtml::_('sliders.start','abook-sliders-'.$this->item->id, array('useCookie'=>1)); ?>
	
		<?php echo JHtml::_('sliders.panel',JText::_('COM_ABOOK_FIELDSET_AUTHOR'), 'book-details'); ?>
                <fieldset class="panelform">
                        <ul class="adminformlist">
                        <li><?php echo $this->form->getLabel('image'); ?>
                                <?php echo $this->form->getInput('image'); ?></li>
			<li><label id="jform_preview-lbl" for="jform_preview" class="hasTip"><?php echo JText::_('JGLOBAL_PREVIEW'); ?></label>
				<?php echo JHTML::_('image',$this->item->image, JText::_('COM_ABOOK_IMAGE'), array('align' => 'middle', 'height'=>'100px', 'width'=>'100px')); ?></li>
                        </ul>
                </fieldset>
	
		<?php echo JHtml::_('sliders.panel',JText::_('JGLOBAL_FIELDSET_METADATA_OPTIONS'), 'metadata'); ?>
                <fieldset class="panelform">
                        <ul class="adminformlist">
                        <li><?php echo $this->form->getLabel('metakey'); ?>
                        <?php echo $this->form->getInput('metakey'); ?></li>
                        <li><?php echo $this->form->getLabel('metadesc'); ?>
                        <?php echo $this->form->getInput('metadesc'); ?></li>
                        </ul>
                </fieldset>
		<?php echo JHtml::_('sliders.end'); ?>
                <input type="hidden" name="task" value="" />
                <?php echo JHtml::_('form.token'); ?>
        </div>
</form>
<div class="clr"></div>
<p><?php echo JHTML::_('credit.credit');?></p>
