<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * EventList is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die('Restricted access'); 
JHtml::addIncludePath(JPATH_COMPONENT.DS.'helpers'.DS.'html');
?>
<script language="javascript" type="text/javascript">
        function submitbutton(pressbutton) {
                var form = document.adminForm;
                if (pressbutton == 'cancel') {
                        submitform( pressbutton );
                        return;
                }

                // do field validation
                if (form.name.value == ""){
                        alert( "<?php echo JText::_( 'CATEGORY ITEM MUST HAVE A NAME', true ); ?>" );
                } else {
                        submitform( pressbutton );
                }
        }
</script>
<form action="<?php JRoute::_('index.php?option=com_abook&extension='.JRequest::getCmd('extension', 'com_abook').'&layout=edit&id='.(int) $this->item->id); ?>" method="post" name="adminForm" id="item-form" class="form-validate">
	<div class="width-60 fltlft">
                <fieldset class="adminform">
                <legend><?php echo empty($this->item->id) ? JText::_('COM_ABOOK_ADD_NEW_CATEGORY') : JText::sprintf('COM_ABOOK_EDIT_CATEGORY', $this->item->id); ?></legend>
                <ul class="adminformlist">
		<li><?php echo $this->form->getLabel('title'); ?>
                <?php echo $this->form->getInput('title'); ?></li>
		<li><?php echo $this->form->getLabel('alias'); ?>
                <?php echo $this->form->getInput('alias'); ?></li>
		<li><?php echo $this->form->getLabel('extension'); ?>
                <?php echo $this->form->getInput('extension'); ?></li>
		<li><?php echo $this->form->getLabel('parent_id'); ?>
                <?php echo $this->form->getInput('parent_id'); ?></li>
		<li><?php echo $this->form->getLabel('published'); ?>
                <?php echo $this->form->getInput('published'); ?></li>
		<li><?php echo $this->form->getLabel('access'); ?>
                <?php echo $this->form->getInput('access'); ?></li>
		<?php if ($this->canDo->get('core.admin')): ?>
                	<li><span class="faux-label"><?php echo JText::_('JGLOBAL_ACTION_PERMISSIONS_LABEL'); ?></span>
                            <div class="button2-left"><div class="blank">
                            <button type="button" onclick="document.location.href='#access-rules';">
                            <?php echo JText::_('JGLOBAL_PERMISSIONS_ANCHOR'); ?></button>
                            </div></div>
                        </li>
                <?php endif; ?>
		<li><?php echo $this->form->getLabel('language'); ?>
                <?php echo $this->form->getInput('language'); ?></li>

                <li><?php echo $this->form->getLabel('id'); ?>
                <?php echo $this->form->getInput('id'); ?></li>
		</ul>
		<div class="clr"></div>
                        <?php echo $this->form->getLabel('description'); ?>
                        <div class="clr"></div>
                        <?php echo $this->form->getInput('description'); ?>
                </fieldset>

        </div>
	<div class="width-40 fltrt">

                <?php echo JHtml::_('sliders.start','categories-sliders-'.$this->item->id, array('useCookie'=>1)); ?>
                        <?php echo $this->loadTemplate('options'); ?>
                        <div class="clr"></div>

                        <?php echo JHtml::_('sliders.panel',JText::_('JGLOBAL_FIELDSET_METADATA_OPTIONS'), 'meta-options'); ?>
                        <fieldset class="panelform">
                        	<ul class="adminformlist">
				        <li><?php echo $this->form->getLabel('metadesc'); ?>
				        <?php echo $this->form->getInput('metadesc'); ?></li>
				        <li><?php echo $this->form->getLabel('metakey'); ?>
				        <?php echo $this->form->getInput('metakey'); ?></li>
				        <?php foreach($this->form->getGroup('metadata') as $field): ?>
				                <?php if ($field->hidden): ?>
			        	                <li><?php echo $field->input; ?></li>
				                <?php else: ?>
	                        			<li><?php echo $field->label; ?>
                        				<?php echo $field->input; ?></li>
			                	<?php endif; ?>
        				<?php endforeach; ?>
				</ul> 
                        </fieldset>

                <?php echo JHtml::_('sliders.end'); ?>
        </div>
        <div class="clr"></div>
	<?php if ($this->canDo->get('core.admin')): ?>
                <div  class="width-100 fltlft">
                        <?php echo JHtml::_('sliders.start','permissions-sliders-'.$this->item->id, array('useCookie'=>1)); ?>
                        <?php echo JHtml::_('sliders.panel',JText::_('COM_CATEGORIES_FIELDSET_RULES'), 'access-rules'); ?>
                        <fieldset class="panelform">
                                <?php echo $this->form->getLabel('rules'); ?>
                                <?php echo $this->form->getInput('rules'); ?>
                        </fieldset>
                        <?php echo JHtml::_('sliders.end'); ?>
                </div>
        <?php endif; ?>
        <div>
                <input type="hidden" name="task" value="" />
                <?php echo JHtml::_('form.token'); ?>
	</div>
</form>
<div class="clr"></div>
<p><?php echo JHTML::_('credit.credit');?></p>
