<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die('Restricted access');
?>
<div class="width-60 fltlft">
	<div id="cpanel">
	<?php
		echo $this->loadTemplate('button');
	?>
        </div>
</div>
<div class="width-40 fltrt">
	<?php echo JHtml::_('sliders.start','abook-sliders-cpanel'); ?>

        <?php echo JHtml::_('sliders.panel',JText::_('COM_ABOOK_FIELDSET_INFO'), 'publishing-details'); ?>
        <fieldset class="panelform">
		<table class="adminlist">
			<tbody>
                                <tr>
                                        <td align="center">
                                                <p><?php echo JText::_( 'COM_ABOOK_DONATE' ); ?></p>
						<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
							<div style="width: 200px; margin: 0px auto;">
							<input type="hidden" name="cmd" value="_s-xclick">
							<input type="hidden" name="hosted_button_id" value="ET22PSKAWS44L">
							<input type="image" src="http://service.neomediatech.it/paypal/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal — The safer, easier way to pay online.">
							<img alt="" border="0" src="https://www.paypalobjects.com/it_IT/i/scr/pixel.gif" width="1" height="1">
							</div>
						</form>
                                        </td>
                                </tr>
			</tbody>
        	</table>
	</fieldset>

        <?php echo JHtml::_('sliders.panel',JText::_('COM_ABOOK_FIELDSET_STATS'), 'book-details'); ?>
        <fieldset class="panelform">
		<table class="adminlist">
			<thead>
				<tr>
					<th colspan="2"><?php echo JText::_('COM_ABOOK_BOOKS'); ?></th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td><?php echo JText::_('COM_ABOOK_PUBLISHED'); ?></td>
					<td width="20%"><?php echo $this->books['published']; ?></td>
				</tr>
				<tr>
                                        <td><?php echo JText::_('COM_ABOOK_UNPUBLISHED'); ?></td>
                                        <td><?php echo $this->books['unpublished']; ?></td>
                                </tr>
				<tr>
                                        <td><?php echo JText::_('COM_ABOOK_TOTAL'); ?></td>
                                        <td><?php echo $this->books['total']; ?></td>
                                </tr>
			</tbody>		
		</table>
		<table class="adminlist">
                        <thead>
                                <tr>
                                        <th colspan="2"><?php echo JText::_('COM_ABOOK_CATEGORIES'); ?></th>
                                </tr>
                        </thead>
                        <tbody>
                                <tr>
                                        <td><?php echo JText::_('COM_ABOOK_PUBLISHED'); ?></td>
                                        <td width="20%"><?php echo $this->categories['published']; ?></td>
                                </tr>
                                <tr>
                                        <td><?php echo JText::_('COM_ABOOK_UNPUBLISHED'); ?></td>
                                        <td><?php echo $this->categories['unpublished']; ?></td>
                                </tr>
                                <tr>
                                        <td><?php echo JText::_('COM_ABOOK_TOTAL'); ?></td>
                                        <td><?php echo $this->categories['total']; ?></td>
                                </tr>
                        </tbody>
                </table>
		<table class="adminlist">
                        <thead>
                                <tr>
                                        <th colspan="2"><?php echo JText::_('COM_ABOOK_AUTHORS'); ?></th>
                                </tr>
                        </thead>
                        <tbody>
                                <tr>
                                        <td><?php echo JText::_('COM_ABOOK_TOTAL'); ?></td>
                                        <td width="20%"><?php echo $this->authors['total']; ?></td>
                                </tr>
                        </tbody>
                </table>
		<table class="adminlist">
                        <thead>
                                <tr>
                                        <th colspan="2"><?php echo JText::_('COM_ABOOK_EDITORS'); ?></th>
                                </tr>
                        </thead>
                        <tbody>
                                <tr>
                                        <td><?php echo JText::_('COM_ABOOK_TOTAL'); ?></td>
                                        <td width="20%"><?php echo $this->editors['total']; ?></td>
                                </tr>
                        </tbody>
                </table>
		<table class="adminlist">
                        <thead>
                                <tr>
                                        <th colspan="2"><?php echo JText::_('COM_ABOOK_LIBRARIES'); ?></th>
                                </tr>
                        </thead>
                        <tbody>
                                <tr>
                                        <td><?php echo JText::_('COM_ABOOK_TOTAL'); ?></td>
                                        <td width="20%"><?php echo $this->libraries['total']; ?></td>
                                </tr>
                        </tbody>
                </table>
		<table class="adminlist">
                        <thead>
                                <tr>
                                        <th colspan="2"><?php echo JText::_('COM_ABOOK_LOCATIONS'); ?></th>
                                </tr>
                        </thead>
                        <tbody>
                                <tr>
                                        <td><?php echo JText::_('COM_ABOOK_TOTAL'); ?></td>
                                        <td width="20%"><?php echo $this->locations['total']; ?></td>
                                </tr>
                        </tbody>
                </table>
	</fieldset>
        <?php echo JHtml::_('sliders.panel',JText::_('COM_ABOOK_FIELDSET_MOST_READ'), 'buy-details'); ?>
        <fieldset class="panelform">
		<table class="adminlist">
                	<thead>
                        	<tr>
                                	<th><?php echo JText::_( 'COM_ABOOK_TITLE' ); ?></th>
                                        <th><?php echo JText::_( 'COM_ABOOK_HITS' ); ?></th>
                                </tr>
                        </thead>
                        <tbody>
                        <?php
                        $k = 0;
                        for ($i=0, $n=count( $this->mostread ); $i < $n; $i++){
                        	$row = &$this->mostread[$i];?>
                                <tr>
                                	<td>
                                        	<a href="<?php echo JRoute::_( 'index.php?option=com_abook&controller=book&task=edit&cid[]='. $row->id );?>"><?php echo $row->title; ?></a>
                                        </td>
                                        <td width="1%" align="center">
                                        	<?php echo $row->hits; ?>
                                        </td>
                                </tr>
                                <?php
                                $k = 1 - $k;
                                } ?>
                        </tbody>
        	</table>
	</fieldset>
	<?php echo JHtml::_('sliders.panel',JText::_('COM_ABOOK_FIELDSET_MOST_RATED'), 'buy-details'); ?>
        <fieldset class="panelform">
		<table class="adminlist">
                        <thead>
                        	<tr>
                                	<th><?php echo JText::_( 'COM_ABOOK_TITLE' ); ?></th>
                                        <th><?php echo JText::_( 'COM_ABOOK_RATING' ); ?></th>
                                </tr>
                        </thead>
                        <tbody>
                       		<?php
                        	$k = 0;
                                for ($i=0, $n=count( $this->mostrated ); $i < $n; $i++){
                                $row = &$this->mostrated[$i];?>
                                <tr>
                                	<td>
                                        	<a href="<?php echo JRoute::_( 'index.php?option=com_abook&controller=book&task=edit&cid[]='. $row->id );?>"><?php echo $row->title; ?></a>
                                        </td>
                                        <td width="1%" align="center">
					<div class="bookrating">
					<?php
					$html = "";
					$img= "";
					// look for images in template if available
                			$starImageOn = JHTML::_('image','system/rating_star.png', NULL, NULL, true);
                			$starImageOff = JHTML::_('image','system/rating_star_blank.png', NULL, NULL, true);
                			for ($s=0; $s < $row->rating; $s++) {
                        			$img .= $starImageOn;
               				}
                			for ($s=$row->rating; $s < 5; $s++) {
                        			$img .= $starImageOff;
                			}
                			$html .= '<span class="content_rating">';
                			$html .= $img .'&#160;/&#160;';
                			$html .= $row->rating_count;
                			$html .= "</span>\n<br />\n";
					echo $html;
					?>
					</div>
                                        </td>
                                </tr>
                                <?php
                                $k = 1 - $k;
                                } ?>
                	</tbody>
                </table>
        </fieldset>
	<?php echo JHtml::_('sliders.panel',JText::_('COM_ABOOK_FIELDSET_LICENSE'), 'buy-details'); ?>
        <fieldset class="panelform">
		<table class="adminlist">
                	<tr>
                        	<td>
                                	<p><?php echo JText::_( 'COM_ABOOK_LICENSE1' ); ?></p>
                                        <p><?php echo JText::_( 'COM_ABOOK_LICENSE2' ); ?></p>
                                        <p><?php echo JText::_( 'COM_ABOOK_LICENSE3' ); ?></p>
                                </td>
                        </tr>
                </table>
        </fieldset>
        <?php echo JHtml::_('sliders.end'); ?>
</div>
<div class="clr"></div>
<p><?php echo JHTML::_('credit.credit');?></p>
