<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );
JHTML::addIncludePath(JPATH_COMPONENT.DS.'helpers');
class AbookViewImportexport extends JView
{
	protected $form;
	function display($tpl = null)
	{
		$this->form     = $this->get('Form');
		$this->addToolbar();
		parent::display($tpl);
	}

	protected function addToolbar()
        {
		$user = JFactory::getUser();
		JHTML::_('behavior.tooltip');
                $document       = JFactory::getDocument();
                $document->addStyleSheet('components/com_abook/assets/css/com_abook.css');
                JToolBarHelper::title(   JText::_( 'COM_ABOOK_IMPORTEXPORT_MANAGER' ), 'importexport' );
                JHTML::addIncludePath(JPATH_COMPONENT.DS.'helpers');
                $document->addScript(DS.'includes'.DS.'js'.DS.'overlib_mini.js');

                if ($user->authorise('core.admin','com_abook')){
                        JToolBarHelper::preferences('com_abook');
                }
        }
}
